> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Search Status

* Get the status of your search using the **`request_id`** given from the [**Search Employees**](https://fdocs.info/api-reference/endpoint/search-employees) endpoint.

* This endpoint is **FREE** of charge.


## OpenAPI

````yaml GET /check-search-status
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /check-search-status:
    get:
      parameters:
        - name: request_id
          in: query
          required: true
          schema:
            type: string
            example: dd1b29063de8927b31fa523d36432b61
          description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckSearchStatus'
        '400':
          description: Invalid request_id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequestID'
        '503':
          description: Error not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CheckSearchStatus:
      type: object
      properties:
        message:
          type: string
          description: A message providing details about the search status.
          example: >-
            Your search was added to queue (pending) / Found 17/100 profiles
            (processing) / Found 100/100 employees (done)
        status:
          type: string
          description: The current status of the search request.
          example: pending/processing/done
    InvalidRequestID:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid request_id.'
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````